package cn.lihongjie.coal.inventoryCheck.controller;

import cn.lihongjie.coal.annotation.OrgScope;
import cn.lihongjie.coal.annotation.SysLog;
import cn.lihongjie.coal.base.dto.CommonQuery;
import cn.lihongjie.coal.base.dto.IdRequest;
import cn.lihongjie.coal.inventoryCheck.dto.CreateInventoryCheckDto;
import cn.lihongjie.coal.inventoryCheck.dto.InventoryCheckDto;
import cn.lihongjie.coal.inventoryCheck.dto.UpdateInventoryCheckDto;
import cn.lihongjie.coal.inventoryCheck.service.InventoryCheckService;

import lombok.extern.slf4j.Slf4j;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.domain.Page;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@RestController
@RequestMapping("/inventoryCheck")
@SysLog(module = "库存盘点")
@Slf4j
@OrgScope
public class InventoryCheckController {
    @Autowired private InventoryCheckService service;

    @PostMapping("/create")
    public InventoryCheckDto create(@RequestBody CreateInventoryCheckDto request) {
        return this.service.create(request);
    }

    @PostMapping("/update")
    public InventoryCheckDto update(@RequestBody UpdateInventoryCheckDto request) {
        return this.service.update(request);
    }

    @PostMapping("/delete")
    public Object delete(@RequestBody IdRequest request) {
        this.service.delete(request);
        return true;
    }

    @PostMapping("/getById")
    public InventoryCheckDto getById(@RequestBody IdRequest request) {
        return this.service.getById(request.getId());
    }

    @PostMapping("/list")
    public Page<InventoryCheckDto> list(@RequestBody CommonQuery request) {
        return this.service.list(request);
    }
}
